

# GetMetricDataV2


Gets metric data from the specified Amazon Connect instance. 

 `GetMetricDataV2` offers more features than [GetMetricData](https://docs.aws.amazon.com/connect/latest/APIReference/API_GetMetricData.html), the previous version of this API. It has new metrics, offers filtering at a metric level, and offers the ability to filter and group data by channels, queues, routing profiles, agents, and agent hierarchy levels. It can retrieve historical data for the last 3 months, at varying intervals. It does not support agent queues.

For a description of the historical metrics that are supported by `GetMetricDataV2` and `GetMetricData`, see [Metrics definitions](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html) in the *Amazon Connect Administrator Guide*.

**Note**  
When you make a successful API request, you can expect the following metric values in the response:  
 **Metric value is null**: The calculation cannot be performed due to divide by zero or insufficient data
 **Metric value is a number (including 0) of defined type**: The number provided is the calculation result
 **MetricResult list is empty**: The request cannot find any data in the system
The following guidelines can help you work with the API:  
Each dimension in the metric response must contain a value
Each item in MetricResult must include all requested metrics
If the response is slow due to large result sets, try these approaches:  
Narrow the time range of your request
Add filters to reduce the amount of data returned

## Request Syntax


```
POST /metrics/data HTTP/1.1
Content-type: application/json

{
   "EndTime": number,
   "Filters": [ 
      { 
         "FilterKey": "string",
         "FilterValues": [ "string" ],
         "StringCondition": { 
            "Comparison": "string"
         }
      }
   ],
   "Groupings": [ "string" ],
   "Interval": { 
      "IntervalPeriod": "string",
      "TimeZone": "string"
   },
   "MaxResults": number,
   "Metrics": [ 
      { 
         "MetricFilters": [ 
            { 
               "MetricFilterKey": "string",
               "MetricFilterValues": [ "string" ],
               "Negate": boolean
            }
         ],
         "MetricId": "string",
         "Name": "string",
         "Threshold": [ 
            { 
               "Comparison": "string",
               "ThresholdValue": number
            }
         ]
      }
   ],
   "NextToken": "string",
   "ResourceArn": "string",
   "StartTime": number
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [EndTime](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-EndTime"></a>
The timestamp, in UNIX Epoch time format, at which to end the reporting interval for the retrieval of historical metrics data. The time must be later than the start time timestamp. It cannot be later than the current timestamp.  
Type: Timestamp  
Required: Yes

 ** [Filters](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-Filters"></a>
Filtering is an operation that selects records that match a set of specified criteria. By narrowing the dataset before aggregation, filters ensure that only relevant records are included in the computation.  
 **Filter keys**   
The following are valid filter keys for a `GetMetricDataV2` request:  
 `AGENT` \$1 `AGENT_HIERARCHY_LEVEL_ONE` \$1 `AGENT_HIERARCHY_LEVEL_TWO` \$1 `AGENT_HIERARCHY_LEVEL_THREE` \$1 `AGENT_HIERARCHY_LEVEL_FOUR` \$1 `AGENT_HIERARCHY_LEVEL_FIVE` \$1 `ANSWERING_MACHINE_DETECTION_STATUS` \$1 `BOT_ALIAS` \$1 `BOT_ID` \$1 `BOT_INTENT_NAME` \$1 `BOT_LOCALE` \$1 `BOT_VERSION` \$1 `CAMPAIGN` \$1 `CAMPAIGN_DELIVERY_EVENT_TYPE` \$1 `CAMPAIGN_EXCLUDED_EVENT_TYPE` \$1 `CASE_STATUS` \$1 `CASE_TEMPLATE_ARN` \$1 `CHANNEL` \$1 `contact/segmentAttributes/connect:Subtype` \$1 `contact/segmentAttributes/connect:ValidationTestType` \$1 `DISCONNECT_REASON` \$1 `EVALUATION_FORM` \$1 `EVALUATION_QUESTION` \$1 `EVALUATION_SECTION` \$1 `EVALUATION_SOURCE` \$1 `EVALUATOR_ID` \$1 `FEATURE` \$1 `FLOW_ACTION_ID` \$1 `FLOW_TYPE` \$1 `FLOWS_MODULE_RESOURCE_ID` \$1 `FLOWS_NEXT_RESOURCE_ID` \$1 `FLOWS_NEXT_RESOURCE_QUEUE_ID` \$1 `FLOWS_OUTCOME_TYPE` \$1 `FLOWS_RESOURCE_ID` \$1 `FORM_VERSION` \$1 `INITIATING_FLOW` \$1 `INITIATION_METHOD` \$1 `INVOKING_RESOURCE_PUBLISHED_TIMESTAMP` \$1 `INVOKING_RESOURCE_TYPE` \$1 `PARENT_FLOWS_RESOURCE_ID` \$1 `Q_CONNECT_ENABLED` \$1 `QUEUE` \$1 `RESOURCE_PUBLISHED_TIMESTAMP` \$1 `ROUTING_PROFILE` \$1 `ROUTING_STEP_EXPRESSION` \$1 `TEST_CASE` \$1 `TEST_CASE_EXECUTION_FAILURE_REASON` \$1 `TEST_CASE_EXECUTION_RESULT` \$1 `TEST_CASE_EXECUTION_STATE`   
The following filter keys correspond to Amazon Connect resources and are used for authorizing requests. A `GetMetricDataV2` request requires at least one of these filters:  
 `QUEUE`, `ROUTING_PROFILE`, `AGENT`, `AGENT_HIERARCHY_LEVEL_ONE`, `AGENT_HIERARCHY_LEVEL_TWO`, `AGENT_HIERARCHY_LEVEL_THREE`, `AGENT_HIERARCHY_LEVEL_FOUR`, `AGENT_HIERARCHY_LEVEL_FIVE`, `CAMPAIGN`, `EVALUATION_FORM`, `EVALUATOR_ID`   
You can use up to 5 filter keys in a single request, and up to 100 filter values across all filter keys.
 **Filter values**   
+ VOICE, CHAT, TASK, and EMAIL are valid filter values for the `CHANNEL` filter key. They do not count towards the limit of 100 filter values. For example, a `GetMetricDataV2` request can filter by 50 queues, 35 agents, and 15 routing profiles for a total of 100 filter values, along with 4 channel filters.
+  `contact_lens_conversational_analytics` is a valid filter value for the `FEATURE` filter key. It is available only for contacts analyzed by Contact Lens conversational analytics.
+  `connect:Chat`, `connect:SMS`, `connect:Telephony`, and `connect:WebRTC` are valid filter value examples (not exhaustive) for the `contact/segmentAttributes/connect:Subtype` filter key.
+  `ROUTING_STEP_EXPRESSION` accepts a filter value up to 3,000 characters in length. This filter is case-sensitive and order-sensitive. JSON string fields must be sorted in ascending order, and JSON array order must be preserved.
+ TRUE and FALSE are the only valid filter values for the `Q_CONNECT_ENABLED` filter key.
  + TRUE includes all contacts that had Connect AI Agents enabled as part of the flow.
  + FALSE includes all contacts that did not have Connect AI Agents enabled as part of the flow.
+  `EXPERIENCE_VALIDATION` and `FLOW_VALIDATION` are the only valid filter values for the `contact/segmentAttributes/connect:ValidationTestType` filter key. This filter is available only for contact record-driven metrics.
+  [Campaign](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-outbound-campaigns_Campaign.html) ARNs are valid filter values for the `CAMPAIGN` filter key.
+ To filter by phone number, see [Create a historical metrics report](https://docs.aws.amazon.com/connect/latest/adminguide/create-historical-metrics-report.html) in the *Amazon Connect Administrator Guide*.
Type: Array of [FilterV2](API_FilterV2.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 5 items.  
Required: Yes

 ** [Groupings](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-Groupings"></a>
The grouping applied to the metrics that are returned. For example, when results are grouped by queue, the metrics returned are grouped by queue. The values that are returned apply to the metrics for each queue. They are not aggregated for all queues.  
If no grouping is specified, a summary of all metrics is returned.  
Valid grouping keys: `AGENT` \$1 `AGENT_HIERARCHY_LEVEL_ONE` \$1 `AGENT_HIERARCHY_LEVEL_TWO` \$1 `AGENT_HIERARCHY_LEVEL_THREE` \$1 `AGENT_HIERARCHY_LEVEL_FOUR` \$1 `AGENT_HIERARCHY_LEVEL_FIVE` \$1 `ANSWERING_MACHINE_DETECTION_STATUS` \$1 `BOT_ID` \$1 `BOT_ALIAS` \$1 `BOT_VERSION` \$1 `BOT_LOCALE` \$1 `BOT_INTENT_NAME` \$1 `CAMPAIGN` \$1 `CAMPAIGN_DELIVERY_EVENT_TYPE` \$1 `CAMPAIGN_EXCLUDED_EVENT_TYPE` \$1 `CAMPAIGN_EXECUTION_TIMESTAMP` \$1 `CASE_TEMPLATE_ARN` \$1 `CASE_STATUS` \$1 `CHANNEL` \$1 `contact/segmentAttributes/connect:Subtype` \$1 `DISCONNECT_REASON` \$1 `EVALUATION_FORM` \$1 `EVALUATION_SECTION` \$1 `EVALUATION_QUESTION` \$1 `EVALUATION_SOURCE` \$1 `EVALUATOR_ID` \$1 `FLOWS_RESOURCE_ID` \$1 `FLOWS_MODULE_RESOURCE_ID` \$1 `FLOW_ACTION_ID` \$1 `FLOW_TYPE` \$1 `FLOWS_OUTCOME_TYPE` \$1 `FORM_VERSION` \$1 `INITIATION_METHOD` \$1 `INVOKING_RESOURCE_PUBLISHED_TIMESTAMP` \$1 `INVOKING_RESOURCE_TYPE` \$1 `PARENT_FLOWS_RESOURCE_ID` \$1 `Q_CONNECT_ENABLED` \$1 `QUEUE` \$1 `RESOURCE_PUBLISHED_TIMESTAMP` \$1 `ROUTING_PROFILE` \$1 `ROUTING_STEP_EXPRESSION` \$1 `TEST_CASE` \$1 `TEST_CASE_EXECUTION_FAILURE_REASON` \$1 `TEST_CASE_INVOCATION_METHOD`   
API, SCHEDULE, and EVENT are the only valid filterValues for TEST\$1CASE\$1INVOCATION\$1METHOD.  
OBSERVE\$1EVENT, SEND\$1INSTRUCTION, ASSERT\$1DATA, and OVERRIDE\$1SYSTEM\$1BEHAVIOR are the only valid filterValues for TEST\$1CASE\$1EXECUTION\$1FAILURE\$1REASON  
Type: Array of strings  
Array Members: Maximum number of 4 items  
Required: No  
Type: Array of strings  
Array Members: Maximum number of 4 items.  
Required: No

 ** [Interval](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-Interval"></a>
The interval period and timezone to apply to returned metrics.  
+  `IntervalPeriod`: An aggregated grouping applied to request metrics. Valid `IntervalPeriod` values are: `FIFTEEN_MIN` \$1 `THIRTY_MIN` \$1 `HOUR` \$1 `DAY` \$1 `WEEK` \$1 `TOTAL`. 

  For example, if `IntervalPeriod` is selected `THIRTY_MIN`, `StartTime` and `EndTime` differs by 1 day, then Amazon Connect returns 48 results in the response. Each result is aggregated by the THIRTY\$1MIN period. By default Amazon Connect aggregates results based on the `TOTAL` interval period. 

  The following list describes restrictions on `StartTime` and `EndTime` based on which `IntervalPeriod` is requested. 
  +  `FIFTEEN_MIN`: The difference between `StartTime` and `EndTime` must be less than 3 days.
  +  `THIRTY_MIN`: The difference between `StartTime` and `EndTime` must be less than 3 days.
  +  `HOUR`: The difference between `StartTime` and `EndTime` must be less than 3 days.
  +  `DAY`: The difference between `StartTime` and `EndTime` must be less than 35 days.
  +  `WEEK`: The difference between `StartTime` and `EndTime` must be less than 35 days.
  +  `TOTAL`: The difference between `StartTime` and `EndTime` must be less than 35 days.
+  `TimeZone`: The timezone applied to requested metrics.
Type: [IntervalDetails](API_IntervalDetails.md) object  
Required: No

 ** [MaxResults](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-MaxResults"></a>
The maximum number of results to return per page.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.  
Required: No

 ** [Metrics](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-Metrics"></a>
The metrics to retrieve. Specify the name or metricId, groupings, and filters for each metric. The following historical metrics are available. For a description of each metric, see [Metrics definition](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html) in the *Amazon Connect Administrator Guide*.  
MetricId should be used to reference custom metrics or out of the box metrics as Arn. If using MetricId, the limit is 20 MetricId per request.  
ABANDONMENT\$1RATE  
Unit: Percent  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Abandonment rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#abandonment-rate)   
AGENT\$1ADHERENT\$1TIME  
This metric is available only in AWS Regions where [Forecasting, capacity planning, and scheduling](https://docs.aws.amazon.com/connect/latest/adminguide/regions.html#optimization_region) is available.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy   
UI name: [Adherent time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#adherent-time)   
AGENT\$1ANSWER\$1RATE  
Unit: Percent  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Agent answer rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-answer-rate)   
AGENT\$1NON\$1ADHERENT\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Non-adherent time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#non-adherent-time)   
AGENT\$1NON\$1RESPONSE  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy   
UI name: [Agent non-response](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-non-response)   
AGENT\$1NON\$1RESPONSE\$1WITHOUT\$1CUSTOMER\$1ABANDONS  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
Data for this metric is available starting from October 1, 2023 0:00:00 GMT.  
UI name: [Agent non-response without customer abandons](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-non-response-without-customer-abandons)   
AGENT\$1OCCUPANCY  
Unit: Percentage  
Valid groupings and filters: Routing Profile, Agent, Agent Hierarchy   
UI name: [Occupancy](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#occupancy)   
AGENT\$1SCHEDULE\$1ADHERENCE  
This metric is available only in AWS Regions where [Forecasting, capacity planning, and scheduling](https://docs.aws.amazon.com/connect/latest/adminguide/regions.html#optimization_region) is available.  
Unit: Percent  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Adherence](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#adherence)   
AGENT\$1SCHEDULED\$1TIME  
This metric is available only in AWS Regions where [Forecasting, capacity planning, and scheduling](https://docs.aws.amazon.com/connect/latest/adminguide/regions.html#optimization_region) is available.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Scheduled time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#scheduled-time)   
AVG\$1ABANDON\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
Valid metric filter key: `INITIATION_METHOD`   
UI name: [Average queue abandon time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-queue-abandon-time)   
AVG\$1ACTIVE\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Average active time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-active-time)   
AVG\$1AFTER\$1CONTACT\$1WORK\$1TIME  
Unit: Seconds  
Valid metric filter key: `INITIATION_METHOD`   
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average after contact work time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#after-contact-work-time)   
Feature is a valid filter but not a valid grouping.  
AVG\$1AGENT\$1CONCURRENCY  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Average agent concurrency](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-concurrency)   
AVG\$1AGENT\$1CONNECTING\$1TIME  
Unit: Seconds  
Valid metric filter key: `INITIATION_METHOD`. For now, this metric only supports the following as `INITIATION_METHOD`: `INBOUND` \$1 `OUTBOUND` \$1 `CALLBACK` \$1 `API`   
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Average agent API connecting time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-api-connecting-time)   
The `Negate` key in metric-level filters is not applicable for this metric.  
AVG\$1AGENT\$1PAUSE\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Average agent pause time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-pause-time)   
AVG\$1BOT\$1CONVERSATION\$1TIME  
Unit: Seconds  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Bot ID, Bot alias, Bot version, Bot locale, Flows resource ID, Flows module resource ID, Flow type, Flow action ID, Invoking resource published timestamp, Initiation method, Invoking resource type, Parent flows resource ID  
UI name: [Average bot conversation time](https://docs.aws.amazon.com/connect/latest/adminguide/bot-metrics.html#average-bot-conversation-time)   
AVG\$1BOT\$1CONVERSATION\$1TURNS  
Unit: Count  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Bot ID, Bot alias, Bot version, Bot locale, Flows resource ID, Flows module resource ID, Flow type, Flow action ID, Invoking resource published timestamp, Initiation method, Invoking resource type, Parent flows resource ID  
UI name: [Average bot conversation turns](https://docs.aws.amazon.com/connect/latest/adminguide/bot-metrics.html#average-bot-conversation-turns)   
AVG\$1CASE\$1RELATED\$1CONTACTS  
Unit: Count  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Average contacts per case](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-contacts-per-case)   
AVG\$1CASE\$1RESOLUTION\$1TIME  
Unit: Seconds  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Average case resolution time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-case-resolution-time)   
AVG\$1CONTACT\$1DURATION  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average contact duration](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-contact-duration)   
Feature is a valid filter but not a valid grouping.  
AVG\$1CONTACT\$1FIRST\$1RESPONSE\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Agent average contact first response wait time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-average-contact-first-response-wait-time)   
AVG\$1CONVERSATION\$1CLOSE\$1TIME  
Unit: Seconds  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average conversation close time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-conversation-close-time)   
AVG\$1CONVERSATION\$1DURATION  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average conversation duration](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-conversation-duration)   
AVG\$1DIALS\$1PER\$1MINUTE  
This metric is available only for outbound campaigns that use the agent assisted voice and automated voice delivery modes.  
Unit: Count  
Valid groupings and filters: Agent, Campaign, Queue, Routing Profile  
UI name: [Average dials per minute](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-dials-per-minute)   
AVG\$1EVALUATION\$1SCORE  
Unit: Percent  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, Evaluation Form ID, Evaluation Section ID, Evaluation Question ID, Evaluation Source, Form Version, Queue, Routing Profile  
UI name: [Average evaluation score](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-evaluation-score)   
AVG\$1FIRST\$1RESPONSE\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average agent first response time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-first-response-time)   
AVG\$1FLOW\$1TIME  
Unit: Seconds  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Flow type, Flows module resource ID, Flows next resource ID, Flows next resource queue ID, Flows outcome type, Flows resource ID, Initiation method, Resource published timestamp  
UI name: [Average flow time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-flow-time)   
AVG\$1GREETING\$1TIME\$1AGENT  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average agent greeting time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-greeting-time)   
AVG\$1HANDLE\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, RoutingStepExpression  
UI name: [Average handle time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-handle-time)   
Feature is a valid filter but not a valid grouping.  
ACTIVE\$1AI\$1AGENTS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [Active AI Agents](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#active-ai-agents)   
AI\$1HANDOFF\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Handoff Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-handoff-rate)   
AI\$1HANDOFFS  
Unit: Count  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Handoffs](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-handoffs)   
AI\$1AGENT\$1INVOCATION\$1SUCCESS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Agent Invocation Success](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-agent-invocation-success)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1AGENT\$1INVOCATION\$1SUCCESS\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Agent Invocation Success Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-agent-invocation-success-rate)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1AGENT\$1INVOCATIONS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Type, AI Agent Name Version, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Agent Invocations](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-agent-invocations)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1RESPONSE\$1COMPLETION\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Response Completion Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-response-completion-rate)   
AI\$1INVOLVED\$1CONTACTS  
Unit: Count  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Involved Contacts](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-involved-contacts)   
AI\$1PROMPT\$1INVOCATION\$1SUCCESS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Prompt, AI Prompt ID, AI Prompt Name, AI Prompt Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Prompt Invocation Success](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-prompt-invocation-success)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1PROMPT\$1INVOCATION\$1SUCCESS\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Prompt, AI Prompt ID, AI Prompt Name, AI Prompt Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Prompt Invocation Success Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-prompt-invocation-success-rate)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1PROMPT\$1INVOCATIONS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Prompt, AI Prompt ID, AI Prompt Name, AI Prompt Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Prompt Invocations](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-prompt-invocations)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1TOOL\$1INVOCATION\$1SUCCESS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Tool ID, AI Tool Name, AI Tool Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Tool Invocation Success](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-tool-invocation-success)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1TOOL\$1INVOCATION\$1SUCCESS\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Tool ID, AI Tool Name, AI Tool Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Tool Invocation Success Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-tool-invocation-success-rate)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AI\$1TOOL\$1INVOCATIONS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Tool ID, AI Tool Name, AI Tool Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [AI Tool Invocations](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#ai-tool-invocations)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AVG\$1AI\$1AGENT\$1CONVERSATION\$1TURNS  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Use Case, Channel, Queue, Routing Profile   
UI name: [Average AI Agent Conversation Turns](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-ai-agent-conversation-turns)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AVG\$1AI\$1CONVERSATION\$1TURNS  
Unit: Count  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [Average AI Conversation Turns](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-ai-conversation-turns)   
AVG\$1AI\$1PROMPT\$1INVOCATION\$1LATENCY  
Unit: Milliseconds  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Prompt, AI Prompt ID, AI Prompt Name, AI Prompt Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [Average AI Prompt Invocation Latency](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-ai-prompt-invocation-latency)   
AI Agent Name Version is not a valid filter but a valid grouping.  
AVG\$1AI\$1TOOL\$1INVOCATION\$1LATENCY  
Unit: Milliseconds  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Name Version, AI Agent Type, AI Tool ID, AI Tool Name, AI Tool Type, AI Use Case, Channel, Queue, Routing Profile  
UI name: [Average AI Tool Invocation Latency](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-ai-tool-invocation-latency)   
AI Agent Name Version is not a valid filter but a valid grouping.  
KNOWLEDGE\$1CONTENT\$1REFERENCES  
Unit: Count  
Valid groupings and filters: AI Agent, AI Agent Name, AI Agent Type, AI Use Case, Channel, Knowledge Base Name, Queue, Routing Profile  
UI name: [Knowledge Content References](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#knowledge-content-references)   
PROACTIVE\$1INTENT\$1ENGAGEMENT\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [Proactive Intent Engagement Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#proactive-intents-engagement-rate)   
PROACTIVE\$1INTENT\$1RESPONSE\$1RATE  
Unit: Percent  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile   
UI name: [Proactive Intent Response Rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#proactive-intents-response-rate)   
PROACTIVE\$1INTENTS\$1ANSWERED  
Unit: Count  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [Proactive Intents Answered](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#proactive-intents-answered)   
PROACTIVE\$1INTENTS\$1DETECTED  
Unit: Count  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [Proactive Intents Detected](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#proactive-intents-detected)   
PROACTIVE\$1INTENTS\$1ENGAGED  
Unit: Count  
Valid groupings and filters: AI Use Case, Channel, Queue, Routing Profile  
UI name: [Proactive Intents Engaged](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#proactive-intents-engaged)   
AVG\$1HOLD\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average customer hold time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-customer-hold-time)   
Feature is a valid filter but not a valid grouping.  
AVG\$1HOLD\$1TIME\$1ALL\$1CONTACTS  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average customer hold time all contacts](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-customer-hold-time-all-contacts)   
AVG\$1HOLDS  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average holds](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-holds)   
Feature is a valid filter but not a valid grouping.  
AVG\$1INTERACTION\$1AND\$1HOLD\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average agent interaction and customer hold time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-interaction-and-customer-hold-time)   
AVG\$1INTERACTION\$1TIME  
Unit: Seconds  
Valid metric filter key: `INITIATION_METHOD`   
Valid groupings and filters: Queue, Channel, Routing Profile, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average agent interaction time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-interaction-time)   
Feature is a valid filter but not a valid grouping.  
AVG\$1INTERRUPTIONS\$1AGENT  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average agent interruptions](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-interruptions)   
AVG\$1INTERRUPTION\$1TIME\$1AGENT  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average agent interruption time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-interruption-time)   
AVG\$1MESSAGE\$1LENGTH\$1AGENT  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average agent message length](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-message-length)   
AVG\$1MESSAGE\$1LENGTH\$1CUSTOMER  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average customer message length](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-customer-message-length)   
AVG\$1MESSAGES  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average messages](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-messages)   
AVG\$1MESSAGES\$1AGENT  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average agent messages](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-messages)   
AVG\$1MESSAGES\$1BOT  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average bot messages](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-bot-messages)   
AVG\$1MESSAGES\$1CUSTOMER  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average customer messages](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-customer-messages)   
AVG\$1NON\$1TALK\$1TIME  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average non-talk time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-non-talk-time)   
AVG\$1QUEUE\$1ANSWER\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average queue answer time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-queue-answer-time)   
Valid metric level filters: `INITIATION_METHOD`, `FEATURE`, `DISCONNECT_REASON`   
Feature is a valid filter but not a valid grouping.  
AVG\$1QUEUE\$1ANSWER\$1TIME\$1CUSTOMER\$1FIRST\$1CALLBACK  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect, Agent Hierarchy  
UI name: [Avg. queue answer time - customer first callback](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-queue-answer-time-customer-first-callback)   
AVG\$1RESPONSE\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average agent response time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-response-time-agent)   
AVG\$1RESPONSE\$1TIME\$1CUSTOMER  
Unit: Seconds  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Average customer response time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-customer-time-agent)   
AVG\$1RESOLUTION\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average resolution time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-resolution-time)   
AVG\$1TALK\$1TIME  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average talk time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-talk-time)   
AVG\$1TALK\$1TIME\$1AGENT  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average agent talk time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-agent-talk-time)   
AVG\$1TALK\$1TIME\$1CUSTOMER  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Average customer talk time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-customer-talk-time)   
AVG\$1WAIT\$1TIME\$1AFTER\$1CUSTOMER\$1CONNECTION  
This metric is available only for outbound campaigns that use the agent assisted voice and automated voice delivery modes.  
Unit: Seconds  
Valid groupings and filters: Campaign  
UI name: [Average wait time after customer connection](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-wait-time-after-customer-connection)   
AVG\$1WAIT\$1TIME\$1AFTER\$1CUSTOMER\$1FIRST\$1CALLBACK\$1CONNECTION  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect, Agent Hierarchy  
UI name: [Avg. wait time after customer connection - customer first callback](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-wait-time-after-customer-connection-customer-first-callback)   
AVG\$1WEIGHTED\$1EVALUATION\$1SCORE  
Unit: Percent  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, Evaluation Form Id, Evaluation Section ID, Evaluation Question ID, Evaluation Source, Form Version, Queue, Routing Profile  
UI name: [Average weighted evaluation score](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#average-weighted-evaluation-score)   
BOT\$1CONVERSATIONS\$1COMPLETED  
Unit: Count  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Bot ID, Bot alias, Bot version, Bot locale, Flows resource ID, Flows module resource ID, Flow type, Flow action ID, Invoking resource published timestamp, Initiation method, Invoking resource type, Parent flows resource ID  
UI name: [Bot conversations completed](https://docs.aws.amazon.com/connect/latest/adminguide/bot-metrics.html#bot-conversations-completed)   
BOT\$1INTENTS\$1COMPLETED  
Unit: Count  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Bot ID, Bot alias, Bot version, Bot locale, Bot intent name, Flows resource ID, Flows module resource ID, Flow type, Flow action ID, Invoking resource published timestamp, Initiation method, Invoking resource type, Parent flows resource ID  
UI name: [Bot intents completed](https://docs.aws.amazon.com/connect/latest/adminguide/bot-metrics.html#bot-intents-completed)   
CAMPAIGN\$1CONTACTS\$1ABANDONED\$1AFTER\$1X  
This metric is available only for outbound campaigns using the agent assisted voice and automated voice delivery modes.  
Unit: Count  
Valid groupings and filters: Agent, Campaign  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you must enter `GT` (for *Greater than*).  
UI name: [Campaign contacts abandoned after X](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#campaign-contacts-abandoned-after-x)   
CAMPAIGN\$1CONTACTS\$1ABANDONED\$1AFTER\$1X\$1RATE  
This metric is available only for outbound campaigns using the agent assisted voice and automated voice delivery modes.  
Unit: Percent  
Valid groupings and filters: Agent, Campaign  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you must enter `GT` (for *Greater than*).  
UI name: [Campaign contacts abandoned after X rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#campaign-contacts-abandoned-after-x-rate)   
CAMPAIGN\$1INTERACTIONS  
This metric is available only for outbound campaigns using the email delivery mode.   
Unit: Count  
Valid metric filter key: CAMPAIGN\$1INTERACTION\$1EVENT\$1TYPE  
Valid groupings and filters: Campaign  
UI name: [Campaign interactions](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#campaign-interactions)   
CAMPAIGN\$1PROGRESS\$1RATE  
This metric is only available for outbound campaigns initiated using a customer segment. It is not available for event triggered campaigns.  
Unit: Percent  
Valid groupings and filters: Campaign, Campaign Execution Timestamp  
UI name: [Campaign progress rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#campaign-progress-rate)   
CAMPAIGN\$1SEND\$1ATTEMPTS  
This metric is available only for outbound campaigns.  
Unit: Count  
Valid groupings and filters: Campaign, Channel, contact/segmentAttributes/connect:Subtype   
UI name: [Campaign send attempts](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#campaign-send-attempts)   
CAMPAIGN\$1SEND\$1EXCLUSIONS  
This metric is available only for outbound campaigns.  
Valid metric filter key: CAMPAIGN\$1EXCLUDED\$1EVENT\$1TYPE  
Unit: Count  
Valid groupings and filters: Campaign, Campaign Excluded Event Type, Campaign Execution Timestamp  
UI name: [Campaign send exclusions](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#campaign-send-exclusions)   
CASES\$1CREATED  
Unit: Count  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Cases created](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#cases-created)   
CONTACTS\$1CREATED  
Unit: Count  
Valid metric filter key: `INITIATION_METHOD`   
Valid groupings and filters: Queue, Channel, Routing Profile, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts created](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-created)   
Feature is a valid filter but not a valid grouping.  
CONTACTS\$1HANDLED  
Unit: Count  
Valid metric filter key: `INITIATION_METHOD`, `DISCONNECT_REASON`   
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, RoutingStepExpression, Q in Connect  
UI name: [Contacts handled](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-handled)   
Feature is a valid filter but not a valid grouping.  
CONTACTS\$1HANDLED\$1BY\$1CONNECTED\$1TO\$1AGENT  
Unit: Count  
Valid metric filter key: `INITIATION_METHOD`   
Valid groupings and filters: Queue, Channel, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts handled (connected to agent timestamp)](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-handled-by-connected-to-agent-timestamp)   
CONTACTS\$1HOLD\$1ABANDONS  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts hold disconnect](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-hold-disconnect)   
CONTACTS\$1ON\$1HOLD\$1AGENT\$1DISCONNECT  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contacts hold agent disconnect](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-hold-agent-disconnect)   
CONTACTS\$1ON\$1HOLD\$1CUSTOMER\$1DISCONNECT  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contacts hold customer disconnect](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-hold-customer-disconnect)   
CONTACTS\$1PUT\$1ON\$1HOLD  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contacts put on hold](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-put-on-hold)   
CONTACTS\$1TRANSFERRED\$1OUT\$1EXTERNAL  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contacts transferred out external](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-transferred-out-external)   
CONTACTS\$1TRANSFERRED\$1OUT\$1INTERNAL  
Unit: Percent  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contacts transferred out internal](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-transferred-out-internal)   
CONTACTS\$1QUEUED  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts queued](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-queued)   
CONTACTS\$1QUEUED\$1BY\$1ENQUEUE  
Unit: Count  
Valid groupings and filters: Queue, Channel, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype  
UI name: [Contacts queued (enqueue timestamp)](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-queued-by-enqueue)   
CONTACTS\$1REMOVED\$1FROM\$1QUEUE\$1IN\$1X  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Q in Connect  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you can use `LT` (for "Less than") or `LTE` (for "Less than equal").  
UI name: [Contacts removed from queue in X seconds](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-removed-from-queue)   
CONTACTS\$1RESOLVED\$1IN\$1X  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, contact/segmentAttributes/connect:Subtype, Q in Connect  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you can use `LT` (for "Less than") or `LTE` (for "Less than equal").  
UI name: [Contacts resolved in X](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-resolved)   
CONTACTS\$1TRANSFERRED\$1OUT  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Feature, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts transferred out](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-transferred-out)   
Feature is a valid filter but not a valid grouping.  
CONTACTS\$1TRANSFERRED\$1OUT\$1BY\$1AGENT  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts transferred out by agent](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-transferred-out-by-agent)   
CONTACTS\$1TRANSFERRED\$1OUT\$1FROM\$1QUEUE  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contacts transferred out queue](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-transferred-out-queue)   
CURRENT\$1CASES  
Unit: Count  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Current cases](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#current-cases)   
CONVERSATIONS\$1ABANDONED  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Feature, RoutingStepExpression, Initiation method, Routing Profile, Queue, Q in Connect  
UI name: [Conversations abandoned](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#conversations-abandoned)   
DELIVERY\$1ATTEMPTS  
This metric is available only for outbound campaigns.  
Unit: Count  
Valid metric filter key: `ANSWERING_MACHINE_DETECTION_STATUS`, `CAMPAIGN_DELIVERY_EVENT_TYPE`, `DISCONNECT_REASON`   
Valid groupings and filters: Agent, Answering Machine Detection Status, Campaign, Campaign Delivery EventType, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Queue, Routing Profile  
UI name: [Delivery attempts](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#delivery-attempts)   
Campaign Delivery EventType filter and grouping are only available for SMS and Email campaign delivery modes. Agent, Queue, Routing Profile, Answering Machine Detection Status and Disconnect Reason are only available for agent assisted voice and automated voice delivery modes.   
DELIVERY\$1ATTEMPT\$1DISPOSITION\$1RATE  
This metric is available only for outbound campaigns. Dispositions for the agent assisted voice and automated voice delivery modes are only available with answering machine detection enabled.  
Unit: Percent  
Valid metric filter key: `ANSWERING_MACHINE_DETECTION_STATUS`, `CAMPAIGN_DELIVERY_EVENT_TYPE`, `DISCONNECT_REASON`   
Valid groupings and filters: Agent, Answering Machine Detection Status, Campaign, Channel, contact/segmentAttributes/connect:Subtype, Disconnect Reason, Queue, Routing Profile  
UI name: [Delivery attempt disposition rate](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#delivery-attempt-disposition-rate)   
Campaign Delivery Event Type filter and grouping are only available for SMS and Email campaign delivery modes. Agent, Queue, Routing Profile, Answering Machine Detection Status and Disconnect Reason are only available for agent assisted voice and automated voice delivery modes.   
EVALUATIONS\$1PERFORMED  
Unit: Count  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, Evaluation Form ID, Evaluation Source, Form Version, Queue, Routing Profile  
UI name: [Evaluations performed](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#evaluations-performed)   
FLOWS\$1OUTCOME  
Unit: Count  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Flow type, Flows module resource ID, Flows next resource ID, Flows next resource queue ID, Flows outcome type, Flows resource ID, Initiation method, Resource published timestamp  
UI name: [Flows outcome](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#flows-outcome)   
FLOWS\$1STARTED  
Unit: Count  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Flow type, Flows module resource ID, Flows resource ID, Initiation method, Resource published timestamp  
UI name: [Flows started](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#flows-started)   
HUMAN\$1ANSWERED\$1CALLS  
This metric is available only for outbound campaigns. Dispositions for the agent assisted voice and automated voice delivery modes are only available with answering machine detection enabled.   
Unit: Count  
Valid groupings and filters: Agent, Campaign  
UI name: [Human answered](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#human-answered)   
MAX\$1FLOW\$1TIME  
Unit: Seconds  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Flow type, Flows module resource ID, Flows next resource ID, Flows next resource queue ID, Flows outcome type, Flows resource ID, Initiation method, Resource published timestamp  
UI name: [Maximum flow time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#maximum-flow-time)   
MAX\$1QUEUED\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Maximum queued time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#maximum-queued-time)   
MIN\$1FLOW\$1TIME  
Unit: Seconds  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Flow type, Flows module resource ID, Flows next resource ID, Flows next resource queue ID, Flows outcome type, Flows resource ID, Initiation method, Resource published timestamp  
UI name: [Minimum flow time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#minimum-flow-time)   
PERCENT\$1AUTOMATIC\$1FAILS  
Unit: Percent  
Valid groupings and filters: Agent, Agent Hierarchy, Channel, Evaluation Form ID, Evaluation Source, Form Version, Queue, Routing Profile  
UI name: [Automatic fails percent](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#automatic-fails-percent)   
PERCENT\$1BOT\$1CONVERSATIONS\$1OUTCOME  
Unit: Percent  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Bot ID, Bot alias, Bot version, Bot locale, Flows resource ID, Flows module resource ID, Flow type, Flow action ID, Invoking resource published timestamp, Initiation method, Invoking resource type, Parent flows resource ID  
UI name: [Percent bot conversations outcome](https://docs.aws.amazon.com/connect/latest/adminguide/bot-metrics.html#percent-bot-conversations-outcome)   
PERCENT\$1BOT\$1INTENTS\$1OUTCOME  
Unit: Percent  
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Bot ID, Bot alias, Bot version, Bot locale, Bot intent name, Flows resource ID, Flows module resource ID, Flow type, Flow action ID, Invoking resource published timestamp, Initiation method, Invoking resource type, Parent flows resource ID  
UI name: [Percent bot intents outcome](https://docs.aws.amazon.com/connect/latest/adminguide/bot-metrics.html#percent-bot-intents-outcome)   
PERCENT\$1CASES\$1FIRST\$1CONTACT\$1RESOLVED  
Unit: Percent  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Cases resolved on first contact](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#cases-resolved-on-first-contact)   
PERCENT\$1CONTACTS\$1STEP\$1EXPIRED  
Unit: Percent  
Valid groupings and filters: Queue, RoutingStepExpression  
UI name: This metric is available in Real-time Metrics UI but not on the Historical Metrics UI.  
PERCENT\$1CONTACTS\$1STEP\$1JOINED  
Unit: Percent  
Valid groupings and filters: Queue, RoutingStepExpression  
UI name: This metric is available in Real-time Metrics UI but not on the Historical Metrics UI.  
PERCENT\$1FLOWS\$1OUTCOME  
Unit: Percent  
Valid metric filter key: `FLOWS_OUTCOME_TYPE`   
Valid groupings and filters: Channel, contact/segmentAttributes/connect:Subtype, Flow type, Flows module resource ID, Flows next resource ID, Flows next resource queue ID, Flows outcome type, Flows resource ID, Initiation method, Resource published timestamp  
UI name: [Flows outcome percentage](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#flows-outcome-percentage).  
The `FLOWS_OUTCOME_TYPE` is not a valid grouping.  
PERCENT\$1NON\$1TALK\$1TIME  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Percentage  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Non-talk time percent](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#non-talk-time-percent)   
PERCENT\$1TALK\$1TIME  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Percentage  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Talk time percent](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#talk-time-percent)   
PERCENT\$1TALK\$1TIME\$1AGENT  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Percentage  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Agent talk time percent](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-talk-time-percent)   
PERCENT\$1TALK\$1TIME\$1CUSTOMER  
This metric is available only for contacts analyzed by Contact Lens conversational analytics.  
Unit: Percentage  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Customer talk time percent](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#customer-talk-time-percent)   
RECIPIENTS\$1ATTEMPTED  
This metric is only available for outbound campaigns initiated using a customer segment. It is not available for event triggered campaigns.  
Unit: Count  
Valid groupings and filters: Campaign, Campaign Execution Timestamp  
UI name: [Recipients attempted](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#recipients-attempted)   
RECIPIENTS\$1INTERACTED  
This metric is only available for outbound campaigns initiated using a customer segment. It is not available for event triggered campaigns.  
Valid metric filter key: CAMPAIGN\$1INTERACTION\$1EVENT\$1TYPE  
Unit: Count  
Valid groupings and filters: Campaign, Channel, contact/segmentAttributes/connect:Subtype, Campaign Execution Timestamp  
UI name: [Recipients interacted](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#recipients-interacted)   
RECIPIENTS\$1TARGETED  
This metric is only available for outbound campaigns initiated using a customer segment. It is not available for event triggered campaigns.  
Unit: Count  
Valid groupings and filters: Campaign, Campaign Execution Timestamp  
UI name: [Recipients targeted](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#recipients-targeted)   
REOPENED\$1CASE\$1ACTIONS  
Unit: Count  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Cases reopened](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#cases-reopened)   
RESOLVED\$1CASE\$1ACTIONS  
Unit: Count  
Required filter key: CASE\$1TEMPLATE\$1ARN  
Valid groupings and filters: CASE\$1TEMPLATE\$1ARN, CASE\$1STATUS  
UI name: [Cases resolved](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#cases-resolved)   
SERVICE\$1LEVEL  
You can include up to 20 SERVICE\$1LEVEL metrics in a request.  
Unit: Percent  
Valid groupings and filters: Queue, Channel, Routing Profile, Q in Connect  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you can use `LT` (for "Less than") or `LTE` (for "Less than equal").  
UI name: [Service level X](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#service-level)   
STEP\$1CONTACTS\$1QUEUED  
Unit: Count  
Valid groupings and filters: Queue, RoutingStepExpression  
UI name: This metric is available in Real-time Metrics UI but not on the Historical Metrics UI.  
SUM\$1AFTER\$1CONTACT\$1WORK\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [After contact work time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#after-contact-work-time)   
SUM\$1CONNECTING\$1TIME\$1AGENT  
Unit: Seconds  
Valid metric filter key: `INITIATION_METHOD`. This metric only supports the following filter keys as `INITIATION_METHOD`: `INBOUND` \$1 `OUTBOUND` \$1 `CALLBACK` \$1 `API` \$1 `CALLBACK_CUSTOMER_FIRST_DIALED`   
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Agent API connecting time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-api-connecting-time)   
The `Negate` key in metric-level filters is not applicable for this metric.  
CONTACTS\$1ABANDONED  
Unit: Count  
Metric filter:   
+ Valid values: `API`\$1 `INCOMING` \$1 `OUTBOUND` \$1 `TRANSFER` \$1 `CALLBACK` \$1 `QUEUE_TRANSFER`\$1 `Disconnect` \$1 `CALLBACK_CUSTOMER_FIRST_DIALED` 
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, RoutingStepExpression, Q in Connect  
UI name: [Contact abandoned](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-abandoned)   
SUM\$1CONTACTS\$1ABANDONED\$1IN\$1X  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, contact/segmentAttributes/connect:Subtype, Q in Connect  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you can use `LT` (for "Less than") or `LTE` (for "Less than equal").  
UI name: [Contacts abandoned in X seconds](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-abandoned-in-x-seconds)   
SUM\$1CONTACTS\$1ANSWERED\$1IN\$1X  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, contact/segmentAttributes/connect:Subtype, Q in Connect  
Threshold: For `ThresholdValue`, enter any whole number from 1 to 604800 (inclusive), in seconds. For `Comparison`, you can use `LT` (for "Less than") or `LTE` (for "Less than equal").  
UI name: [Contacts answered in X seconds](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contacts-answered-in-x-seconds)   
SUM\$1CONTACT\$1FLOW\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contact flow time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contact-flow-time)   
SUM\$1CONTACT\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Routing Profile, Agent, Agent Hierarchy  
UI name: [Agent on contact time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-on-contact-time)   
SUM\$1CONTACTS\$1DISCONNECTED   
Valid metric filter key: `DISCONNECT_REASON`   
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Contact disconnected](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contact-disconnected)   
SUM\$1ERROR\$1STATUS\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Routing Profile, Agent, Agent Hierarchy  
UI name: [Error status time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#error-status-time)   
SUM\$1HANDLE\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Contact handle time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#contact-handle-time)   
SUM\$1HOLD\$1TIME  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Customer hold time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#customer-hold-time)   
SUM\$1IDLE\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Routing Profile, Agent, Agent Hierarchy  
UI name: [Agent idle time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-idle-time)   
SUM\$1INTERACTION\$1AND\$1HOLD\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy, Q in Connect  
UI name: [Agent interaction and hold time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-interaction-and-hold-time)   
SUM\$1INTERACTION\$1TIME  
Unit: Seconds  
Valid groupings and filters: Queue, Channel, Routing Profile, Agent, Agent Hierarchy  
UI name: [Agent interaction time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-interaction-time)   
SUM\$1NON\$1PRODUCTIVE\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Routing Profile, Agent, Agent Hierarchy  
UI name: [Agent non-productive time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#agent-non-productive-time)   
SUM\$1ONLINE\$1TIME\$1AGENT  
Unit: Seconds  
Valid groupings and filters: Routing Profile, Agent, Agent Hierarchy  
UI name: [Online time](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#online-time)   
SUM\$1RETRY\$1CALLBACK\$1ATTEMPTS  
Unit: Count  
Valid groupings and filters: Queue, Channel, Routing Profile, contact/segmentAttributes/connect:Subtype, Q in Connect  
UI name: [Callback attempts](https://docs.aws.amazon.com/connect/latest/adminguide/metrics-definitions.html#callback-attempts) 
Type: Array of [MetricV2](API_MetricV2.md) objects  
Required: Yes

 ** [NextToken](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-NextToken"></a>
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2500.  
Required: No

 ** [ResourceArn](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-ResourceArn"></a>
The Amazon Resource Name (ARN) of the resource. This includes the `instanceId` an Amazon Connect instance.  
Type: String  
Required: Yes

 ** [StartTime](#API_GetMetricDataV2_RequestSyntax) **   <a name="connect-GetMetricDataV2-request-StartTime"></a>
The timestamp, in UNIX Epoch time format, at which to start the reporting interval for the retrieval of historical metrics data. The time must be before the end time timestamp. The start and end time depends on the `IntervalPeriod` selected. By default the time range between start and end time is 35 days. Historical metrics are available for 3 months.  
Type: Timestamp  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "MetricResults": [ 
      { 
         "Collections": [ 
            { 
               "Metric": { 
                  "MetricFilters": [ 
                     { 
                        "MetricFilterKey": "string",
                        "MetricFilterValues": [ "string" ],
                        "Negate": boolean
                     }
                  ],
                  "MetricId": "string",
                  "Name": "string",
                  "Threshold": [ 
                     { 
                        "Comparison": "string",
                        "ThresholdValue": number
                     }
                  ]
               },
               "Value": number
            }
         ],
         "Dimensions": { 
            "string" : "string" 
         },
         "MetricInterval": { 
            "EndTime": number,
            "Interval": "string",
            "StartTime": number
         }
      }
   ],
   "NextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [MetricResults](#API_GetMetricDataV2_ResponseSyntax) **   <a name="connect-GetMetricDataV2-response-MetricResults"></a>
Information about the metrics requested in the API request If no grouping is specified, a summary of metric data is returned.   
Type: Array of [MetricResultV2](API_MetricResultV2.md) objects

 ** [NextToken](#API_GetMetricDataV2_ResponseSyntax) **   <a name="connect-GetMetricDataV2-response-NextToken"></a>
If there are additional results, this is the token for the next set of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2500.

## Errors


For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** InternalServiceException **   
Request processing failed because of an error or failure with the service.    
 ** Message **   
The message.
HTTP Status Code: 500

 ** InvalidParameterException **   
One or more of the specified parameters are not valid.    
 ** Message **   
The message about the parameters.
HTTP Status Code: 400

 ** InvalidRequestException **   
The request is not valid.    
 ** Message **   
The message about the request.  
 ** Reason **   
Reason why the request was invalid.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** Message **   
The message about the resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The throttling limit has been exceeded.  
HTTP Status Code: 429

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connect-2017-08-08/GetMetricDataV2) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connect-2017-08-08/GetMetricDataV2) 